FISD Staff to Receive Retention Incentive in January

Written by Korinna Kirchhoff

Jan. 9 Child Nutrition Job Fair

The Frisco ISD School Board approved a resolution to pay a retention incentive for all eligible employees this coming January 2023. Staff who have been with the District for more than one year are eligible to receive a bonus in their January paycheck.

The Board of Trustees first approved this measure in January 2019 to thank employees for their dedication to the District and community. District staff look forward to the annual incentive to kick off the new year. 

Eligible employees will receive an incentive equal to $50 for each year of service to FISD plus the greater of 1% of their base salary or $250. To be eligible, a staff member must have at least one year of Teacher Retirement System (TRS) service credit with Frisco ISD as of Sept. 1, 2022, and still be employed with FISD as of Dec. 22, 2022. Eligible employees must remain employed without submittal of a resignation on the payment date.

“Frisco ISD is a destination district thanks to the incredible staff who have dedicated themselves to the District over time,” said Superintendent Dr. Mike Waldrip. “From crossing guards and cafeteria cashiers to teachers and paraprofessionals, we are thrilled to reward those who stay with FISD.”

  • Those interested in joining Frisco ISD's Child Nutrition Department are encouraged to attend a job fair on Monday, Jan. 9 at the Child Nutrition Service Center at 12050 Rolater Road. Learn more.

The District first set aside funds for the retention incentive in 2018 using revenue from the higher operations tax rate approved by voters in November 2018. The measure must be approved annually by the Board. 

Flashback: Frisco ISD also provides a classroom teacher supply stipend of $250 each September to help promote recruitment and retention and cover out-of-pocket expenses.

Your browser is out-of-date.

Update your browser to view this website correctly. Update my browser now

At this time the Frisco ISD website requires Internet Explorer 9 or later.

If you are on IE 9 or later and are seeing this error then your browser may be running as a previous version.

×